Loading...
Searching...
No Matches
DcmQuantPixelBox Struct Reference

helper structure for class DcmQuantPixelBoxArray. More...

## Public Attributes

int | ind
| index of the color histogram array where the colors represented by this box start
int | colors
| the number of colors represented by this box
unsigned long | sum
| the number of pixels represented by this box

## Detailed Description

helper structure for class DcmQuantPixelBoxArray.

Each object of this class represents a pixel box used in the Median Cut algorithm.

## Member Data Documentation

## colors

int DcmQuantPixelBox::colors

the number of colors represented by this box

## ind

int DcmQuantPixelBox::ind

index of the color histogram array where the colors represented by this box start

## sum

unsigned long DcmQuantPixelBox::sum

the number of pixels represented by this box

The documentation for this struct was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diqtpbox.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0